#ifndef stencil_h

#include "stencil_func.h"

template<typename T, typename I, class names, bool HD=false>
using stencil = stencil_func<T, I, names, HD, false, false, false>;

template<class names>
using stncl = stencil_func<double, long, names, false, false, false, false>;

template<typename T, typename I, class names, bool HD>
auto unit_stencil(){
    return stencil_func<T,I,names,HD,false,false,false>(1.,liste_<I,names::size,0>::fill::list);
}

#endif
